<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("../Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
					<head>
						<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<style type="text/css">
body,td,th {
	font-size: 9px;
}
</style>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}

</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
				$NoDocSuEn=$_GET["NDocKp"] or $NoDocSuEn=$_POST["NDocKp"];
				$EtMasterEn=$_GET["EtMastKp"] or $EtMasterEn=$_POST["EtMastKp"];
				$ubic=$_GET["ubic"] or $ubic=$_POST["ubic"];
				$SkuAS=$_GET['sku'] or $SkuAS=$_POST['sku'];
				$ret=$_GET['ret'] or $ret=$_POST['ret'];
				$lote=$_GET['lote'] or $lote=$_POST['lote'];
				$lotep=$_GET['lotep'] or $lotep=$_POST['lotep'];
				
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
		$tareaid=$_POST['tarea'] OR $tareaid=$_GET['tarea'];
		$uborigen=$_POST['uborigen'] OR $uborigen=$_GET['uborigen'];
		$back=$_POST['back'] OR $back=$_GET['back'];
		
		$tr=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EN ESPERA RESERVADO' WHERE USUARIO_EJECUTO='$UsuEn' AND ESTADO='EN EJECUCION' AND ID!='$tareaid'");
		$tr=mysql_query("UPDATE tabla_resurtidopicking SET USUARIO_EJECUTO=NULL WHERE USUARIO_EJECUTO='$UsuEn' AND ID!='$tareaid' AND ESTADO!='EJECUTADA' AND ESTADO!='CANCELADA'");
		$tr=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EN EJECUCION' WHERE ID='$tareaid'");
		$tr=mysql_query("SELECT * FROM tabla_resurtidopicking WHERE ID='$tareaid'");
		$tarea=mysql_fetch_array($tr);
		if($uborigen!=$tarea['CVE_UBICACION_ORIGEN']){
		echo "<script>alert('La ubicación ingresada no es válida($uborigen), se requiere la ubicación $tarea[CVE_UBICACION_ORIGEN].')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-Resurtidopicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&tarea=$tareaid&ret=".(urlencode($ret))."'>";
		}else{
		$datospallet = mysql_query("SELECT * FROM tabla_inventario WHERE NO_PALLET='$tarea[NO_PALLET]'");
			$pallet=mysql_fetch_array($datospallet);
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
    <div data-role="header">  
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="5-Resurtidopicking3.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Resurtido-picking</font></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Recolectar producto</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b># Tarea:</b></font></td>
		     <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>".$tarea['#_TAREA']."</font>"; ?></td>
             <td width="77">&nbsp;</td>
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>SKU:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$tarea[SKU]</font>"; ?></td>
		           
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Descripci&oacuten:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$tarea[DESCRIPCION]</font>"; ?></td>
		    <td></td>		          
	      </tr>
		  		  
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Pallet:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$pallet[NO_PALLET]</font>"; ?></td>
		    <td></td>		          
	      </tr>
		  
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Lote:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$pallet[LOTE]</font>"; ?></td>
		    <td></td>		          
	      </tr>
		  		  
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Lote Prod:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$pallet[LOTEPRODU]</font>"; ?></td>
		    <td></td>		          
	      </tr>
		  
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Caducidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$pallet[CADUCIDAD]</font>"; ?></td>
		    <td></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ubicaci&oacuten origen:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$tarea[CVE_UBICACION_ORIGEN]</font>"; ?></td>
		    <td></td>     
	      </tr>
		  		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Cantidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra' color='#FF0000'><b><font color='#FF0000'>";
				$cnt=mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='$tarea[SKU]'");
				$cn=mysql_fetch_array($cnt);
				$ppc=$cn['PZASXCAJA'];
				if($tarea['REPOSICION']=="Cajas"){
				echo floor($tarea['CANTIDAD']*$ppc)." Piezas ($tarea[CANTIDAD] Caja(s) completa(s)).";
				}else{
				echo $tarea['CANTIDAD']." Piezas (".(floor($tarea['CANTIDAD']/$ppc))." Caja(s) completa(s) + ".($tarea['CANTIDAD']-((floor($tarea['CANTIDAD']/$ppc))*$ppc))." Pieza(s) suelta(s)).";
				}
			echo "</font></b></font>"; ?></td>
		    <td></td>     
	      </tr>
		  	<tr>
		    <td><font class="Clase_TipoLetra"><b>Ubicaci&oacuten destino:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$tarea[CVE_UBICACION_DESTINO]</font>"; ?></td>
		    <td></td>     
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Unidades recolectadas:</b></font> </td>
		    <td><p>
			  <INPUT TYPE='NUMBER' NAME='unidades' required autofocus value='<?php echo $tarea['CANTIDAD'];?>' min='0' max='<?php echo $tarea['CANTIDAD'];?>'/>
	        <font class="Clase_TipoLetra"></font></p></td>
		    <td></td></td>
          </tr>
		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
        <input type="hidden" name="tarea"
		value="<?php echo $tareaid;?>" />
		<input type="hidden" name="uborigen"
		value="<?php echo $uborigen;?>" />
		
		<input type="hidden" name="NDocKp"
		value="<?php echo $NoDocSuEn;?>" />
		<input type="hidden" name="EtMastKp"
		value="<?php echo $EtMasterEn;?>" />	
		<input type="hidden" name="ubic"
		value="<?php echo $ubic;?>" />
		<input type="hidden" name="sku"
		value="<?php echo $SkuAS;?>" />	
		<input type="hidden" name="ret"
		value="<?php echo ($ret);?>" />	
		<input type="hidden" name="lote"
		value="<?php echo $lote;?>" />	
		<input type="hidden" name="lotep"
		value="<?php echo $lotep;?>" /></td>
	      </tr>
		  <tr>
		    <td align="center"><input type="submit" name="button" id="button" value="Aplicar" /></td>
<script>
function canc(){
if (confirm("¿Realmente desea cancelar el resurtido?")) {
    window.location='<?php echo "5-Resurtidopicking6.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn&ubic=$ubic&sku=$SkuAS&ret=".(urlencode($ret))."&lote=$lote&lotep=$lotep&tarea=$tareaid&uborigen=$uborigen&unidades=$unidades";?>';}}
</script>
		    <td align="center"><input type="button" value="Cancelar" onClick="canc()"/> 
            </td></td>
			<!--RCRP1--!>
	      </tr>
		</table>
     
	</form>
      <!-- Termina Cuerpo de la Pantalla -->
  		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
}
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
